Subject: bug#76457: 31.0.50; Cannot create bookmark to chained TRAMP connection

From: Ship Mints <[email-masked]>
Date: Fri, 21 Feb 2025 05:08:46 -0500

Awaiting further review and installation:

https://lists.gnu.org/archive/html/bug-gnu-emacs/2025-02/msg01593.html

I tested that it handles multi-hops bookmarks.  Want to try it?

On Fri, Feb 21, 2025 at 1:21 AM Sean Whitton <[email-masked]>
wrote:

> X-debbugs-cc: [email-masked]
>
> Hello,
>
> I have a role account on a machine where I have to SSH to the machine as
> spwhitton and then use sudo to do things as the role account.
>
> I can get to it like this:
>
>     C-x C-f /ssh:t2u-oracle|sudo:tag2upload-oracle@t2u-oracle:~/ RET
>
> This opens a dired buffer, which is a useful place to start working on
> the machine.
>
> But if I then use C-x r m to create a bookmark to get back there more
> quickly, the bookmark is created with the filename property set to
> "/sudo:tag2upload-oracle@t2u-oracle:~/" which is wrong, as visiting that
> bookmark would try to access an account on localhost.
>
> I can work around this problem by manually editing my bookmarks file.
>
> Thanks.
>
> --
> Sean Whitton
>
>
>
>